[Index]
Stores default Device Profile Configuration Mappings.
Model ref.: data/DeviceProfileConfigMapping
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "Name",
"description": "Name of the Device Profile Configuration Mapping.",
"type": "string",
"required": true,
"default": "Default",
"maxLength": 1024
},
"profiles": {
"title": "Profiles",
"description": "List of profile configuration mappings. The profiles listed here will be available to users creating or managing extension mobility profiles.",
"type": "array",
"items": {
"type": "object",
"properties": {
"profile_name": {
"title": "Profile Name",
"description": "Name to be used for this profile configuration. This is what will be displayed in dropdowns.",
"type": "string",
"required": true,
"maxLength": 1024
},
"type": {
"title": "Phone Type",
"description": "Phone type of this profile.",
"type": "string",
"required": true,
"maxLength": 1024
},
"protocol": {
"title": "Protocol",
"description": "Protocol of this profile.",
"type": "string",
"required": true,
"maxLength": 1024
},
"button_template": {
"title": "Button Template",
"description": "Button template of this profile.",
"type": "string",
"maxLength": 1024
},
"config_template": {
"title": "Base Configuration Template",
"description": "Base configuration template to be used when provisioning device profiles using this profile.",
"type": "string",
"required": true,
"maxLength": 1024
}
}
}
},
"feature_templates": {
"title": "Feature Templates",
"description": "List of feature configuration template. These template definitions will be available to users creating or managing extension mobility profiles.",
"type": "array",
"items": {
"type": "object",
"properties": {
"template_name": {
"title": "Template Name",
"description": "Name to be used for this feature template. This is what will be displayed in dropdowns.",
"type": "string",
"required": true,
"maxLength": 1024
},
"config_template": {
"title": "Feature Configuration Template",
"description": "Configuration template to use when provisioning extension mobility profiles when selected by the user.",
"type": "string",
"required": true,
"maxLength": 1024
}
}
}
},
"feature_template_inclusion_overrides": {
"title": "Feature Template Inclusion Overrides",
"description": "List of feature template inclusion overrides. These additional template will also be displayed only for the corresponding profile.",
"type": "array",
"items": {
"type": "object",
"properties": {
"profile_name": {
"title": "Profile Name",
"description": "Profile to create an inclusion override for. These additional feature templates will be available to be selected by the user when this profile is selected.",
"type": "string",
"required": true,
"maxLength": 1024
},
"template_name": {
"title": "Template Name",
"description": "Name to be used for this feature template. This is what will be displayed in dropdowns.",
"type": "string",
"required": true,
"maxLength": 1024
},
"config_template": {
"title": "Feature Configuration Template",
"description": "Configuration template to use when provisioning extension mobility profiles when selected by the user.",
"type": "string",
"required": true,
"maxLength": 1024
}
}
}
},
"feature_template_exclusion_overrides": {
"title": "Feature Template Exclusion Overrides",
"description": "List of feature template exclusion overrides. The templates listed here will not be available for selection for the corresponding profile.",
"type": "array",
"items": {
"type": "object",
"properties": {
"profile_name": {
"title": "Profile Name",
"description": "Name to be used for this feature template. This is what will be displayed in dropdowns.",
"type": "string",
"required": true,
"maxLength": 1024
},
"template_name": {
"title": "Template Name",
"description": "Name to be used for this feature template. This is what will be displayed in dropdowns.",
"type": "string",
"required": true,
"maxLength": 1024
}
}
}
}
},
"schema_version": "1.0.0"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/DeviceProfileConfigMapping/add/ |
|
The GUI Add form of data/DeviceProfileConfigMapping as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/DeviceProfileConfigMapping | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/DeviceProfileConfigMapping/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/DeviceProfileConfigMapping/[pkid1]", "/api/data/DeviceProfileConfigMapping/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/DeviceProfileConfigMapping/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | GET | /api/data/DeviceProfileConfigMapping/bulk_update/?schema=&schema_rules=true |
|
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk Modify | POST | /api/data/DeviceProfileConfigMapping/bulk_update/ |
|
For example: {"data":{"name":"value"}, "meta":{}, "request_meta":{ "hrefs":["/api/v0/data/DeviceProfileConfigMapping/[pkid1]", "/api/v0/data/DeviceProfileConfigMapping/[pkid2]",...]}} |
GET http://[host-proxy]/api/data/DeviceProfileConfigMapping/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Move the instance with [pkid] to [target_hierarchy] | POST | /api/tool/DataMove/?model_type=data/DeviceProfileConfigMapping |
|
{"hrefs": ["/api/data/DeviceProfileConfigMapping/[pkid]"]} |
| Bulk Move | POST | /api/tool/DataMove/?model_type=data/DeviceProfileConfigMapping |
|
{"hrefs": ["/api/data/DeviceProfileConfigMapping/[pkid1]", "/api/data/DeviceProfileConfigMapping/[pkid2]",...]} |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/DeviceProfileConfigMapping; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/DeviceProfileConfigMapping/export/ |
|
{ "hrefs":["/api/data/DeviceProfileConfigMapping/[pkid1]", "/api/data/DeviceProfileConfigMapping/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/DeviceProfileConfigMapping and the JSON format can be used to import instances of data/DeviceProfileConfigMapping.
GET http://[host-proxy]/api/data/DeviceProfileConfigMapping/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/DeviceProfileConfigMapping | POST | /api/data/DeviceProfileConfigMapping/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/DeviceProfileConfigMapping/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/data/DeviceProfileConfigMapping/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/data/DeviceProfileConfigMapping/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/DeviceProfileConfigMapping/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Migration Template | GET | /api/data/DeviceProfileConfigMapping/migration/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/DeviceProfileConfigMapping/ |
|
The data/DeviceProfileConfigMapping schema and all instances as JSON. |
(The list will return 0 to 3 data/DeviceProfileConfigMapping instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 1,
"total_limit": null,
"order_by": "name",
"direction": "asc",
"current": "/api/data/DeviceProfileConfigMapping/?skip=0&limit=3&order_by=name&direction=asc&traversal=fulltree"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"move",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/DeviceProfileConfigMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"add",
"bulk_update_form",
"clone",
"configuration_template",
"export",
"export_bulkload_template",
"field_display_policy",
"get",
"help",
"list",
"migration",
"transform",
"remove",
"tag",
"tag_version",
"update",
"move"
],
"schema_version": "1.0.0",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/DeviceProfileConfigMapping/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceProfileConfigMapping/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"bulk_update_form": {
"method": "GET",
"class": "update",
"href": "/api/data/DeviceProfileConfigMapping/bulk_update/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Bulk Modify"
}
},
{
"move": {
"method": "POST",
"class": "move",
"href": "/api/tool/DataMove/?hierarchy=[hierarchy]&model_type=data/DeviceProfileConfigMapping",
"support_async": true,
"title": "Move",
"view": "/api/tool/DataMove/?auth_token=[authtoken]
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/DeviceProfileConfigMapping/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/DeviceProfileConfigMapping/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceProfileConfigMapping/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceProfileConfigMapping/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/data/DeviceProfileConfigMapping/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/DeviceProfileConfigMapping/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"migration": {
"method": "GET",
"class": "migration",
"href": "/api/data/DeviceProfileConfigMapping/migration/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Migration Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/DeviceProfileConfigMapping/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceProfileConfigMapping/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
},
{
"transform": {
"method": "GET",
"class": "transform",
"href": "/api/data/DeviceProfileConfigMapping/transform/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Transform Template"
}
}
]
},
"resources": [
{
"data": {
"name": "Default",
"profiles": [
{
"profile_name": "Cisco 6921",
"type": "Cisco 6921",
"protocol": "SIP",
"button_template": "Standard 6921 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 6941",
"type": "Cisco 6941",
"protocol": "SIP",
"button_template": "Standard 6941 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 6945",
"type": "Cisco 6945",
"protocol": "SIP",
"button_template": "Standard 6945 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 6961",
"type": "Cisco 6961",
"protocol": "SIP",
"button_template": "Standard 6961 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7811",
"type": "Cisco 7811",
"protocol": "SIP",
"button_template": "Standard 7811 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7821",
"type": "Cisco 7821",
"protocol": "SIP",
"button_template": "Standard 7821 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7841",
"type": "Cisco 7841",
"protocol": "SIP",
"button_template": "Standard 7841 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7861",
"type": "Cisco 7861",
"protocol": "SIP",
"button_template": "Standard 7861 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8811",
"type": "Cisco 8811",
"protocol": "SIP",
"button_template": "Standard 8811 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8821",
"type": "Cisco 8821",
"protocol": "SIP",
"button_template": "Standard 8821 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8831",
"type": "Cisco 8831",
"protocol": "SIP",
"button_template": "Standard 8831 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8841",
"type": "Cisco 8841",
"protocol": "SIP",
"button_template": "Standard 8841 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8851",
"type": "Cisco 8851",
"protocol": "SIP",
"button_template": "Standard 8851 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8861",
"type": "Cisco 8861",
"protocol": "SIP",
"button_template": "Standard 8861 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8865",
"type": "Cisco 8865",
"protocol": "SIP",
"button_template": "Standard 8865 SIP",
"config_template": "Basic Device Profile CFT"
}
],
"feature_templates": [
{
"template_name": "Default",
"config_template": "Default Device Profile Feature CFT"
}
],
"pkid": "69ee3bcb62dfd021865cbdf9",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/DeviceProfileConfigMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "Default",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/",
"pkid": "69ee3bcb62dfd021865cbdf8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3bcb62dfd021865cbdf8"
],
"schema_version": "1.0.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"move": {
"method": "POST",
"class": "move",
"href": "/api/tool/DataMove/69ee3bcb62dfd021865cbdf8/?model_type=data/DeviceProfileConfigMapping",
"support_async": true,
"title": "Move",
"view": "/api/tool/DataMove/"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69ee3bcb62dfd021865cbdf8"
}
]
}
(Show the first instance)
{
"data": {
"name": "Default",
"profiles": [
{
"profile_name": "Cisco 6921",
"type": "Cisco 6921",
"protocol": "SIP",
"button_template": "Standard 6921 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 6941",
"type": "Cisco 6941",
"protocol": "SIP",
"button_template": "Standard 6941 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 6945",
"type": "Cisco 6945",
"protocol": "SIP",
"button_template": "Standard 6945 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 6961",
"type": "Cisco 6961",
"protocol": "SIP",
"button_template": "Standard 6961 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7811",
"type": "Cisco 7811",
"protocol": "SIP",
"button_template": "Standard 7811 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7821",
"type": "Cisco 7821",
"protocol": "SIP",
"button_template": "Standard 7821 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7841",
"type": "Cisco 7841",
"protocol": "SIP",
"button_template": "Standard 7841 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 7861",
"type": "Cisco 7861",
"protocol": "SIP",
"button_template": "Standard 7861 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8811",
"type": "Cisco 8811",
"protocol": "SIP",
"button_template": "Standard 8811 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8821",
"type": "Cisco 8821",
"protocol": "SIP",
"button_template": "Standard 8821 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8831",
"type": "Cisco 8831",
"protocol": "SIP",
"button_template": "Standard 8831 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8841",
"type": "Cisco 8841",
"protocol": "SIP",
"button_template": "Standard 8841 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8851",
"type": "Cisco 8851",
"protocol": "SIP",
"button_template": "Standard 8851 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8861",
"type": "Cisco 8861",
"protocol": "SIP",
"button_template": "Standard 8861 SIP",
"config_template": "Basic Device Profile CFT"
},
{
"profile_name": "Cisco 8865",
"type": "Cisco 8865",
"protocol": "SIP",
"button_template": "Standard 8865 SIP",
"config_template": "Basic Device Profile CFT"
}
],
"feature_templates": [
{
"template_name": "Default",
"config_template": "Default Device Profile Feature CFT"
}
],
"pkid": "69ee3bcb62dfd021865cbdf9"
},
"meta": {
"model_type": "data/DeviceProfileConfigMapping",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "Default",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/",
"pkid": "69ee3bcb62dfd021865cbdf8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee3bcb62dfd021865cbdf8"
],
"schema_version": "1.0.0",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/clone/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"move": {
"method": "POST",
"class": "move",
"href": "/api/tool/DataMove/69ee3bcb62dfd021865cbdf8/?hierarchy=[hierarchy]&model_type=data/DeviceProfileConfigMapping",
"support_async": true,
"title": "Move",
"view": "/api/tool/DataMove/?auth_token=[authtoken]
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/DeviceProfileConfigMapping/69ee3bcb62dfd021865cbdf8/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69ee3bcb62dfd021865cbdf8"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/DeviceProfileConfigMapping. | GET | /api/data/DeviceProfileConfigMapping/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/DeviceProfileConfigMapping as HTML |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Transform Template | GET | /api/data/DeviceProfileConfigMapping/transform/ |
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/DeviceProfileConfigMapping/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/DeviceProfileConfigMapping/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Clone instance with [pkid]. The schema rules are applied. | GET | /api/data/DeviceProfileConfigMapping/[pkid]/clone/?schema=&schema_rules=true |
|
A JSON payload with:
|
GET http://[host-proxy]/api/data/DeviceProfileConfigMapping/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Move | POST | /api/tool/DataMove/[pkid]/?model_type=data/DeviceProfileConfigMapping | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/DeviceProfileConfigMapping; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/DeviceProfileConfigMapping/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/DeviceProfileConfigMapping and the JSON format can be used to import instances of data/DeviceProfileConfigMapping.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/data/DeviceProfileConfigMapping/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/DeviceProfileConfigMapping/[pkid] | hierarchy=[hierarchy] | The data/DeviceProfileConfigMapping instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/DeviceProfileConfigMapping/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/DeviceProfileConfigMapping. |